#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Copyright (C) 2007
# Mahdi Pishguy
# Arman Ordookhani <arman.ordookhani@gmail.com>
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
# Programmed with Qt4 & Python
#
# Thanks to : Mahdi Bayazee

import sys
from PyQt4 import QtCore, QtGui

class Ui_MainWindow(object):
    def __init__(self):
        self.text = {}
        self.parseDataFile("data")

    def parseDataFile(self, fileName):
        f = file(fileName)
        key = f.readline()
        while len(key) != 0:            
            self.text[key[:-1]] = f.readline()
            key = f.readline()
        f.close()

    def setupUi(self, MainWindow):
        MainWindow.resize(QtCore.QSize(QtCore.QRect(0,0,530,374).size()).expandedTo(MainWindow.minimumSizeHint()))
        sizePolicy = QtGui.QSizePolicy(QtGui.QSizePolicy.Policy(0),QtGui.QSizePolicy.Policy(0))
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        MainWindow.setMinimumSize(QtCore.QSize(530,374))
        MainWindow.setMaximumSize(QtCore.QSize(530,374))
        
        self.centralwidget = QtGui.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")

        self.pushButton_2 = QtGui.QPushButton(self.centralwidget)
        self.pushButton_2.setGeometry(QtCore.QRect(270,340,251,27))
        self.pushButton_2.setObjectName("pushButton_2")

        self.frame = QtGui.QFrame(self.centralwidget)
        self.frame.setGeometry(QtCore.QRect(10,10,511,321))
        self.frame.setFrameShape(QtGui.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtGui.QFrame.Raised)
        self.frame.setObjectName("frame")

        self.pushButton = QtGui.QPushButton(self.frame)
        self.pushButton.setGeometry(QtCore.QRect(6,82,499,27))

        font = QtGui.QFont(self.pushButton.font())
        font.setPointSize(9)
        
        self.pushButton.setFont(font)
        self.pushButton.setObjectName("pushButton")
        
        self.exitbtn = QtGui.QPushButton(self.centralwidget)
        self.exitbtn.setGeometry(QtCore.QRect(10,340,251,27))
        self.exitbtn.setObjectName("exitbtn")
        
        self.comboBox = QtGui.QComboBox(self.frame)
        self.comboBox.setGeometry(QtCore.QRect(6,50,499,26))
        self.comboBox.setObjectName("comboBox")
        self.comboBox.setLayoutDirection(QtCore.Qt.RightToLeft)

        self.label_2 = QtGui.QLabel(self.frame)
        self.label_2.setGeometry(QtCore.QRect(11,12,499,31))

        font = QtGui.QFont(self.label_2.font())
        font.setFamily("Sans Serif")
        font.setPointSize(13)
        self.label_2.setFont(font)
        self.label_2.setAlignment(QtCore.Qt.AlignCenter)
        self.label_2.setObjectName("label_1")

        self.lblText = QtGui.QLabel(self.frame)
        self.lblText.setWindowModality(QtCore.Qt.NonModal)
        self.lblText.setGeometry(QtCore.QRect(10,120,491,191))
        self.lblText.setFocusPolicy(QtCore.Qt.NoFocus)
        self.lblText.setContextMenuPolicy(QtCore.Qt.NoContextMenu)
        self.lblText.setLayoutDirection(QtCore.Qt.RightToLeft)
        self.lblText.setFrameShape(QtGui.QFrame.Panel)
        self.lblText.setFrameShadow(QtGui.QFrame.Raised)
        self.lblText.setTextFormat(QtCore.Qt.LogText)
        self.lblText.setAlignment(QtCore.Qt.AlignJustify|QtCore.Qt.AlignTop)
        self.lblText.setWordWrap(True)
        self.lblText.setObjectName("lblText")
        
        #MainWindow.setCentralWidget(self.centralwidget)

        self.retranslateUi(MainWindow)
        QtCore.QObject.connect(self.pushButton,QtCore.SIGNAL("clicked()"),self.setCombo)
        QtCore.QObject.connect(self.pushButton_2,QtCore.SIGNAL("clicked()"),self.about)
        QtCore.QObject.connect(self.exitbtn,QtCore.SIGNAL("clicked()"),self.close)

        QtCore.QMetaObject.connectSlotsByName(MainWindow)
        

    def retranslateUi(self, MainWindow):
        MainWindow.setWindowTitle(self.__UTF8("Tabire Khab Ver:0.01"))
        self.pushButton_2.setText(self.__UTF8("درباره برنامه"))
        self.exitbtn.setText(self.__UTF8("خروج از برنامه"))

        self.pushButton.setText(self.__UTF8("تفسیر خواب"))
        self.label_2.setText(self.__UTF8("نرم افزار تعبیر خواب نسخه بتای تحت گنو/لینوکس"))

        categories = self.text.keys()
        categories.sort()
        
        for label in categories:
            self.comboBox.addItem(self.__UTF8(label))

    def about(self):
        QtGui.QMessageBox.about(None,self.__UTF8(
                          "درباره برنامه"),self.__UTF8(
                          "به نسخه بتای نرم افزار تفریحی تعبیر خواب نگارش تحت گنو / لینوکس خوش آمدید"))
    def setCombo(self):
        self.lblText.setText(self.__UTF8(self.text[str(self.comboBox.currentText().toUtf8())]))
        
    def __UTF8(self,txt):
        return QtGui.QApplication.translate("Form", txt, None, QtGui.QApplication.UnicodeUTF8)
    def close(self):
        sys.exit(app.exit())   
if __name__ == "__main__":
    app = QtGui.QApplication(sys.argv)
    MainWindow = QtGui.QWidget()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
